Subject: RE: [NSIS] requirements

From: [email-masked]
Date: Mon, 10 Dec 2001 04:09:36 +0200

Hi Mike,

> I've managed to read through the charter and some
> of the material suggested in the agenda, and it's
> not entirely clear to me what the requirements are
> intended for. 

We need requirements for different usages of QoS signaling,
such as MIP, 3G, IPTEL, ADSL, etc ... We should be open
to what different groups may need for QoS signaling.

> The charter says that the wg is
> supposed to start with RSVP etc, as givens and
> work from there, but reading some of the
> requirement drafts there's a lot of requirements
> which are already fulfilled by RSVP. 

RSVP is taken as a starting point because it is the
IETF's signaling protocol.  

> To my mind,
> what is really needed is not so much to restate
> the same requirements which are pretty much
> givens, but instead focus on requirements which
> the current crop of RFC's don't adequately
> address. For example, the reserve/commit problem,
> or the flow migration across CoA's and fast
> handoffs, or what it how the identity modules are
> really supposed to work with in cross realm
> situations.

When work began on RSVP, there were some different
assumptions about QoS & signaling needs.  I think
we should initially look at the field with open
eyes.  If some of our requirements are fufilled 
already, so much the better - but a good debate
on what is needed & what is not is a good thing.

> In fact, I think that an accounting of the current
> set of affairs is pretty much a prerequisite to
> requirements, which seems to be item two in the
> charter (analysis). This seems backward to me.  Ie
> the question should start with "what's wrong" and
> be followed up with "what are the common
> problems and missing requirements".

I'm not so sure that I'd agree - but I think that we
can track a lot of this work in parallel.

John

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis